=== drivers/pinctrl/qcom/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Qualcomm pin control drivers
obj-$(CONFIG_PINCTRL_MSM)	+= pinctrl-msm.o
obj-$(CONFIG_PINCTRL_APQ8064)	+= pinctrl-apq8064.o
obj-$(CONFIG_PINCTRL_APQ8084)	+= pinctrl-apq8084.o
obj-$(CONFIG_PINCTRL_IPQ4019)	+= pinctrl-ipq4019.o
obj-$(CONFIG_PINCTRL_IPQ5018)	+= pinctrl-ipq5018.o
obj-$(CONFIG_PINCTRL_IPQ8064)	+= pinctrl-ipq8064.o
obj-$(CONFIG_PINCTRL_IPQ5332)	+= pinctrl-ipq5332.o
obj-$(CONFIG_PINCTRL_IPQ5424)	+= pinctrl-ipq5424.o
obj-$(CONFIG_PINCTRL_IPQ8074)	+= pinctrl-ipq8074.o
obj-$(CONFIG_PINCTRL_IPQ6018)	+= pinctrl-ipq6018.o
obj-$(CONFIG_PINCTRL_IPQ9574)	+= pinctrl-ipq9574.o
obj-$(CONFIG_PINCTRL_MSM8226)	+= pinctrl-msm8226.o
obj-$(CONFIG_PINCTRL_MSM8660)	+= pinctrl-msm8660.o
obj-$(CONFIG_PINCTRL_MSM8960)	+= pinctrl-msm8960.o
obj-$(CONFIG_PINCTRL_MSM8X74)	+= pinctrl-msm8x74.o
obj-$(CONFIG_PINCTRL_MSM8909)	+= pinctrl-msm8909.o
obj-$(CONFIG_PINCTRL_MSM8916)	+= pinctrl-msm8916.o
obj-$(CONFIG_PINCTRL_MSM8917)	+= pinctrl-msm8917.o
obj-$(CONFIG_PINCTRL_MSM8953)	+= pinctrl-msm8953.o
obj-$(CONFIG_PINCTRL_MSM8976)	+= pinctrl-msm8976.o
obj-$(CONFIG_PINCTRL_MSM8994)   += pinctrl-msm8994.o
obj-$(CONFIG_PINCTRL_MSM8996)   += pinctrl-msm8996.o
obj-$(CONFIG_PINCTRL_MSM8998)   += pinctrl-msm8998.o
obj-$(CONFIG_PINCTRL_QCM2290)	+= pinctrl-qcm2290.o
obj-$(CONFIG_PINCTRL_QCS404)	+= pinctrl-qcs404.o
obj-$(CONFIG_PINCTRL_QCS615)    += pinctrl-qcs615.o
obj-$(CONFIG_PINCTRL_QCS8300)	+= pinctrl-qcs8300.o
obj-$(CONFIG_PINCTRL_QDF2XXX)	+= pinctrl-qdf2xxx.o
obj-$(CONFIG_PINCTRL_MDM9607)	+= pinctrl-mdm9607.o
obj-$(CONFIG_PINCTRL_MDM9615)	+= pinctrl-mdm9615.o
obj-$(CONFIG_PINCTRL_QCOM_SPMI_PMIC) += pinctrl-spmi-gpio.o
obj-$(CONFIG_PINCTRL_QCOM_SPMI_PMIC) += pinctrl-spmi-mpp.o
obj-$(CONFIG_PINCTRL_QCOM_SSBI_PMIC) += pinctrl-ssbi-gpio.o
obj-$(CONFIG_PINCTRL_QCOM_SSBI_PMIC) += pinctrl-ssbi-mpp.o
obj-$(CONFIG_PINCTRL_QDU1000)	+= pinctrl-qdu1000.o
obj-$(CONFIG_PINCTRL_SA8775P)	+= pinctrl-sa8775p.o
obj-$(CONFIG_PINCTRL_SAR2130P)	+= pinctrl-sar2130p.o
obj-$(CONFIG_PINCTRL_SC7180)	+= pinctrl-sc7180.o
obj-$(CONFIG_PINCTRL_SC7280)	+= pinctrl-sc7280.o
obj-$(CONFIG_PINCTRL_SC7280_LPASS_LPI) += pinctrl-sc7280-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SC8180X)	+= pinctrl-sc8180x.o
obj-$(CONFIG_PINCTRL_SC8280XP)	+= pinctrl-sc8280xp.o
obj-$(CONFIG_PINCTRL_SDM660)   += pinctrl-sdm660.o
obj-$(CONFIG_PINCTRL_SDM670) += pinctrl-sdm670.o
obj-$(CONFIG_PINCTRL_SDM845) += pinctrl-sdm845.o
obj-$(CONFIG_PINCTRL_SDX55) += pinctrl-sdx55.o
obj-$(CONFIG_PINCTRL_SDX65) += pinctrl-sdx65.o
obj-$(CONFIG_PINCTRL_SDX75) += pinctrl-sdx75.o
obj-$(CONFIG_PINCTRL_SM4250_LPASS_LPI) += pinctrl-sm4250-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SM4450) += pinctrl-sm4450.o
obj-$(CONFIG_PINCTRL_SM6115) += pinctrl-sm6115.o
obj-$(CONFIG_PINCTRL_SM6115_LPASS_LPI) += pinctrl-sm6115-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SM6125) += pinctrl-sm6125.o
obj-$(CONFIG_PINCTRL_SM6350) += pinctrl-sm6350.o
obj-$(CONFIG_PINCTRL_SM6375) += pinctrl-sm6375.o
obj-$(CONFIG_PINCTRL_SM7150) += pinctrl-sm7150.o
obj-$(CONFIG_PINCTRL_SM8150) += pinctrl-sm8150.o
obj-$(CONFIG_PINCTRL_SM8250) += pinctrl-sm8250.o
obj-$(CONFIG_PINCTRL_SM8250_LPASS_LPI) += pinctrl-sm8250-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SM8350) += pinctrl-sm8350.o
obj-$(CONFIG_PINCTRL_SM8350_LPASS_LPI) += pinctrl-sm8350-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SM8450) += pinctrl-sm8450.o
obj-$(CONFIG_PINCTRL_SM8450_LPASS_LPI) += pinctrl-sm8450-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SM8550) += pinctrl-sm8550.o
obj-$(CONFIG_PINCTRL_SM8550_LPASS_LPI) += pinctrl-sm8550-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SM8650) += pinctrl-sm8650.o
obj-$(CONFIG_PINCTRL_SM8650_LPASS_LPI) += pinctrl-sm8650-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SM8750) += pinctrl-sm8750.o
obj-$(CONFIG_PINCTRL_SC8280XP_LPASS_LPI) += pinctrl-sc8280xp-lpass-lpi.o
obj-$(CONFIG_PINCTRL_LPASS_LPI) += pinctrl-lpass-lpi.o
obj-$(CONFIG_PINCTRL_X1E80100)	+= pinctrl-x1e80100.o
