=== debian/changelog ===
linux-liquorix (6.14-9~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 May 2025 09:20:04 -0700

linux-liquorix (6.14-9ubuntu1~jammy) jammy; urgency=medium

  * merge v6.14.7
  * update version to 6.14.7-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 18 May 2025 10:02:04 -0500

linux-liquorix (6.14-8) unstable; urgency=medium

  * merge v6.14.6
  * update version to 6.14.6-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 09 May 2025 10:18:38 -0500

linux-liquorix (6.14-7) unstable; urgency=medium

  * merge v6.14.5
  * update version to 6.14.5-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 03 May 2025 10:01:31 -0500

linux-liquorix (6.14-6) unstable; urgency=medium

  * merge v6.14.4
  * update version to 6.14.4-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 25 Apr 2025 08:56:52 -0500

linux-liquorix (6.14-5) unstable; urgency=medium

  * merge v6.14.3
  * update version to 6.14.3-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 20 Apr 2025 13:20:00 -0500

linux-liquorix (6.14-4) unstable; urgency=medium

  * add iwlwifi fix
   - iwlwifi: Avoid reset after failed handshake
  * refresh config for v6.14.2
  * update version to 6.14.2-2

 -- Steven Barrett <steven@liquorix.net>  Sat, 19 Apr 2025 11:20:43 -0500

linux-liquorix (6.14-3) unstable; urgency=medium

  * merge v6.14.2
  * update version to 6.14.2-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 10 Apr 2025 09:21:30 -0500

linux-liquorix (6.14-2) unstable; urgency=medium

  * merge v6.14.1
  * update version to 6.14.1-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 07 Apr 2025 08:27:40 -0500

linux-liquorix (6.14-1) unstable; urgency=medium

  * switch to kernel v6.14
  * enable boot time preemption config support
  * update version to 6.14.0-1

 -- Steven Barrett <steven@liquorix.net>  Tue, 01 Apr 2025 17:37:33 -0500

linux-liquorix (6.13-9) unstable; urgency=medium

  * backport TLB optimizations for context switching from v6.14
   - x86/mm/tlb: Update mm_cpumask lazily
   - x86/mm/tlb: Add tracepoint for TLB flush IPI to stale CPU
   - x86/mm/tlb: Also remove local CPU from mm_cpumask if stale
   - x86/mm/tlb: Only trim the mm_cpumask once a second
  * update version to 6.13.8-4

 -- Steven Barrett <steven@liquorix.net>  Fri, 28 Mar 2025 21:51:52 -0500
