## linux-liquorix 6.15

=== debian/changelog ===
linux-liquorix (6.15-1~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Jun 2025 00:02:03 -0700

linux-liquorix (6.15-1ubuntu1~jammy) jammy; urgency=medium

  * switch to v6.15
  * merge v6.15.2
  * update version to 6.15.2-1

 -- Steven Barrett <steven@liquorix.net>  Tue, 17 Jun 2025 18:50:40 -0500

linux-liquorix (6.14-14) unstable; urgency=medium

  * merge v6.14.11
  * update version to 6.14.11-1

 -- Steven Barrett <steven@liquorix.net>  Tue, 10 Jun 2025 16:20:25 -0500

linux-liquorix (6.14-13) unstable; urgency=medium

  * set config CONFIG_RCU_NOCB_CPU_DEFAULT_ALL=y
  * update version to 6.14.10-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 08 Jun 2025 21:46:17 -0500

linux-liquorix (6.14-12) unstable; urgency=medium

  * merge v6.14.10
  * update version to 6.14.10-1

 -- Steven Barrett <steven@liquorix.net>  Wed, 04 Jun 2025 10:31:45 -0500

linux-liquorix (6.14-11) unstable; urgency=medium

  * merge v6.14.9
  * update version to 6.14.9-1

 -- Steven Barrett <steven@liquorix.net>  Fri, 30 May 2025 09:50:38 -0500

linux-liquorix (6.14-10) unstable; urgency=medium

  * merge v6.14.8
  * update version to 6.14.8-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 22 May 2025 08:47:25 -0500

linux-liquorix (6.14-9) unstable; urgency=medium

  * merge v6.14.7
  * update version to 6.14.7-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 18 May 2025 10:02:04 -0500
